## ros-melodic-rviz-imu-plugin 1.2.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rviz_imu_plugin)

find_package(catkin REQUIRED COMPONENTS rviz)

## This setting causes Qt's "MOC" generation to happen automatically.
set(CMAKE_AUTOMOC ON)

## This plugin includes Qt widgets, so we must include Qt.
## We'll use the version that rviz used so they are compatible.
if(rviz_QT_VERSION VERSION_LESS "5")
  message(STATUS "Using Qt4 based on the rviz_QT_VERSION: ${rviz_QT_VERSION}")
  find_package(Qt4 COMPONENTS QtCore QtGui REQUIRED)
  include(${QT_USE_FILE})
else()
  message(STATUS "Using Qt5 based on the rviz_QT_VERSION: ${rviz_QT_VERSION}")
  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5Core REQUIRED)
  find_package(Qt5OpenGL REQUIRED)
  ## Set the QT_LIBRARIES variable for Qt5, so it can be used below.
  set(QT_LIBRARIES Qt5::Widgets)
endif()

## I prefer the Qt signals and slots to avoid defining "emit", "slots",
## etc because they can conflict with boost signals, so define QT_NO_KEYWORDS here.
add_definitions(-DQT_NO_KEYWORDS)

catkin_package(
  DEPENDS 
  CATKIN_DEPENDS rviz
  INCLUDE_DIRS
  LIBRARIES
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

## Here we specify the list of source files.
## The generated MOC files are included automatically as headers.
set(SRC_FILES  src/imu_display.cpp
               src/imu_orientation_visual.cpp
               src/imu_axes_visual.cpp
               src/imu_acc_visual.cpp)

## Build libraries
add_library(${PROJECT_NAME} ${SRC_FILES})

set_target_properties(${PROJECT_NAME} PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS ON)

## Link the library with whatever Qt libraries have been defined by
## the ``find_package(Qt4 ...)`` line above, or by the
## ``set(QT_LIBRARIES Qt5::Widgets)``, and with whatever libraries
## catkin has included.
target_link_libraries(${PROJECT_NAME} ${QT_LIBRARIES} ${catkin_LIBRARIES})

install(TARGETS
  ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-melodic-rviz-imu-plugin (1.2.2-1stretch) stretch; urgency=high

  * Export symbols so plugin can load
  * properly show/hide visualization when enabled/disabled
  * Contributors: CCNY Robotics Lab, Lou Amadio, Martin Günther, v4hn

 -- Martin Günther <martin.guenther1980@gmail.com>  Sun, 24 May 2020 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.2.1-1stretch) stretch; urgency=high

  * Fix includes, typos and log messages
  * print ros_warn and give unit quaternion to ogre to prevent rviz crash (#90 <https://github.com/ccny-ros-pkg/imu_tools/issues/90>)
  * Contributors: Jackey-Huo, Martin Günther

 -- Martin Günther <martin.guenther1980@gmail.com>  Sun, 05 May 2019 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.2.0-1stretch) stretch; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Thu, 24 May 2018 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.1.5-1stretch) stretch; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 23 May 2017 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.1.4-1stretch) stretch; urgency=high

  * Add option to display orientation in world frame (#69 <https://github.com/ccny-ros-pkg/imu_tools/issues/69>)
    Per REP 145 IMU orientation is in the world frame. Rotating the
    orientation data to transform into the sensor frame results in strange
    behavior, such as double-rotation of orientation on a robot. Provide an
    option to display orientation in the world frame, and enable it by
    default. Continue to translate the position of the data to the sensor
    frame.
  * Contributors: C. Andy Martin

 -- Martin Günther <martin.guenther1980@gmail.com>  Sun, 21 May 2017 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.1.3-1stretch) stretch; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Thu, 09 Mar 2017 23:00:00 -0000

ros-melodic-rviz-imu-plugin (1.1.2-1stretch) stretch; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 06 Sep 2016 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.1.1-1stretch) stretch; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 06 Sep 2016 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.1.0-1stretch) stretch; urgency=high

  * Add qt5 dependencies to rviz_imu_plugin package.xml
    This fixes the compilation errors on Kinetic for Debian Jessie.
  * Contributors: Martin Guenther

 -- Martin Günther <martin.guenther1980@gmail.com>  Sun, 24 Apr 2016 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.0.11-1stretch) stretch; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Thu, 21 Apr 2016 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.0.10-1stretch) stretch; urgency=high

  * Support qt4/qt5 using rviz's exported qt version
    Closes #58 <https://github.com/ccny-ros-pkg/imu_tools/issues/58> .
    This fixes the build on Kinetic, where only Qt5 is available, and
    is backwards compatible with Qt4 for Indigo.
  * Contributors: Martin Guenther

 -- Martin Günther <martin.guenther1980@gmail.com>  Thu, 21 Apr 2016 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.0.9-1stretch) stretch; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Thu, 15 Oct 2015 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.0.8-1stretch) stretch; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 06 Oct 2015 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.0.7-1stretch) stretch; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 06 Oct 2015 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.0.6-1stretch) stretch; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Mon, 05 Oct 2015 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.0.5-1stretch) stretch; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 23 Jun 2015 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.0.4-1stretch) stretch; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 05 May 2015 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.0.3-1stretch) stretch; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Wed, 28 Jan 2015 23:00:00 -0000

ros-melodic-rviz-imu-plugin (1.0.2-1stretch) stretch; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Mon, 26 Jan 2015 23:00:00 -0000

ros-melodic-rviz-imu-plugin (1.0.1-1stretch) stretch; urgency=high

  * add me as maintainer to package.xml
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 09 Dec 2014 23:00:00 -0000

ros-melodic-rviz-imu-plugin (1.0.0-1stretch) stretch; urgency=high

  * First public release
  * Contributors: Ivan Dryanovski, Martin Günther, Davide Tateo, Francisco Vina, Lorenzo Riano

 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 02 Sep 2014 22:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rviz-imu-plugin//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-rviz-imu-plugin 1.2.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.5.1)
 project(rviz_imu_plugin)
 
-find_package(catkin REQUIRED COMPONENTS rviz)
+find_package(catkin REQUIRED COMPONENTS roscpp rviz)
 
 ## This setting causes Qt's "MOC" generation to happen automatically.
 set(CMAKE_AUTOMOC ON)
@@ -26,23 +26,23 @@
 add_definitions(-DQT_NO_KEYWORDS)
 
 catkin_package(
-  DEPENDS 
-  CATKIN_DEPENDS rviz
+  DEPENDS
+  CATKIN_DEPENDS roscpp rviz
   INCLUDE_DIRS
   LIBRARIES
 )
 
 include_directories(
-  include
   ${catkin_INCLUDE_DIRS}
 )
 
 ## Here we specify the list of source files.
 ## The generated MOC files are included automatically as headers.
-set(SRC_FILES  src/imu_display.cpp
-               src/imu_orientation_visual.cpp
-               src/imu_axes_visual.cpp
-               src/imu_acc_visual.cpp)
+set(SRC_FILES src/imu_acc_visual.cpp
+              src/imu_axes_visual.cpp
+              src/imu_display.cpp
+              src/imu_orientation_visual.cpp
+)
 
 ## Build libraries
 add_library(${PROJECT_NAME} ${SRC_FILES})

=== debian/changelog ===
ros-melodic-rviz-imu-plugin (1.2.5-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Thu, 18 Aug 2022 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.2.4-1bionic) bionic; urgency=high

  * Reformat everything using clang-format
  * Fix package dependencies
  * Fix trailing whitespace
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther1980@gmail.com>  Mon, 11 Apr 2022 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.2.3-1bionic) bionic; urgency=high

  * Fix "non standard content" warning in imu_tools metapackage
    Fixes #135 <https://github.com/ccny-ros-pkg/imu_tools/issues/135>.
  * Update maintainers in package.xml
  * Set cmake_policy CMP0048 to fix warning
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther1980@gmail.com>  Thu, 08 Apr 2021 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.2.2-1bionic) bionic; urgency=high

  * Export symbols so plugin can load
  * properly show/hide visualization when enabled/disabled
  * Contributors: CCNY Robotics Lab, Lou Amadio, Martin Günther, v4hn

 -- Martin Günther <martin.guenther1980@gmail.com>  Sun, 24 May 2020 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.2.1-1bionic) bionic; urgency=high

  * Fix includes, typos and log messages
  * print ros_warn and give unit quaternion to ogre to prevent rviz crash (#90 <https://github.com/ccny-ros-pkg/imu_tools/issues/90>)
  * Contributors: Jackey-Huo, Martin Günther

 -- Martin Günther <martin.guenther1980@gmail.com>  Sun, 05 May 2019 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.2.0-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Thu, 24 May 2018 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.1.5-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 23 May 2017 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.1.4-1bionic) bionic; urgency=high

  * Add option to display orientation in world frame (#69 <https://github.com/ccny-ros-pkg/imu_tools/issues/69>)
    Per REP 145 IMU orientation is in the world frame. Rotating the
    orientation data to transform into the sensor frame results in strange
    behavior, such as double-rotation of orientation on a robot. Provide an
    option to display orientation in the world frame, and enable it by
    default. Continue to translate the position of the data to the sensor
    frame.
  * Contributors: C. Andy Martin

 -- Martin Günther <martin.guenther1980@gmail.com>  Sun, 21 May 2017 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.1.3-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Thu, 09 Mar 2017 23:00:00 -0000

ros-melodic-rviz-imu-plugin (1.1.2-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 06 Sep 2016 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.1.1-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 06 Sep 2016 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.1.0-1bionic) bionic; urgency=high

  * Add qt5 dependencies to rviz_imu_plugin package.xml
    This fixes the compilation errors on Kinetic for Debian Jessie.
  * Contributors: Martin Guenther

 -- Martin Günther <martin.guenther1980@gmail.com>  Sun, 24 Apr 2016 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.0.11-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Thu, 21 Apr 2016 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.0.10-1bionic) bionic; urgency=high

  * Support qt4/qt5 using rviz's exported qt version
    Closes #58 <https://github.com/ccny-ros-pkg/imu_tools/issues/58> .
    This fixes the build on Kinetic, where only Qt5 is available, and
    is backwards compatible with Qt4 for Indigo.
  * Contributors: Martin Guenther

 -- Martin Günther <martin.guenther1980@gmail.com>  Thu, 21 Apr 2016 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.0.9-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Thu, 15 Oct 2015 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.0.8-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 06 Oct 2015 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.0.7-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 06 Oct 2015 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.0.6-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Mon, 05 Oct 2015 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.0.5-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 23 Jun 2015 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.0.4-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 05 May 2015 22:00:00 -0000

ros-melodic-rviz-imu-plugin (1.0.3-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Wed, 28 Jan 2015 23:00:00 -0000

ros-melodic-rviz-imu-plugin (1.0.2-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther1980@gmail.com>  Mon, 26 Jan 2015 23:00:00 -0000

ros-melodic-rviz-imu-plugin (1.0.1-1bionic) bionic; urgency=high

  * add me as maintainer to package.xml
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 09 Dec 2014 23:00:00 -0000

ros-melodic-rviz-imu-plugin (1.0.0-1bionic) bionic; urgency=high

  * First public release
  * Contributors: Ivan Dryanovski, Martin Günther, Davide Tateo, Francisco Vina, Lorenzo Riano

 -- Martin Günther <martin.guenther1980@gmail.com>  Tue, 02 Sep 2014 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-rviz-imu-plugin
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther1980@gmail.com>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-melodic-catkin, ros-melodic-roscpp, ros-melodic-rviz
Homepage: http://ros.org/wiki/rviz_imu_plugin
Standards-Version: 3.9.2

Package: ros-melodic-rviz-imu-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5widgets5, ros-melodic-roscpp, ros-melodic-rviz
Description: RVIZ plugin for IMU visualization

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
